#
# spec file for package python3-rope
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define pyname  rope
%define modname %{pyname}_py3k
Name:           python3-%{pyname}
Version:        0.9.3
Release:        16.1
License:        GPL-2.0+
Summary:        A python3 refactoring library
Url:            http://rope.sf.net/
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/r/%{modname}/%{modname}-%{version}-1.tar.gz
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Rope is a Python refactoring library.

%prep
%setup -q -n rope_py3k-%{version}-1

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/%{py_sitedir}/python3-rope/ropetest/

%files
%defattr(-,root,root,-)
%doc COPYING README.txt docs/
%{python3_sitelib}/%{pyname}/
%{python3_sitelib}/%{modname}-%{version}_1-py%{py3_ver}.egg-info

%changelog
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Thu Nov 22 2012 toddrme2178@gmail.com
- Removed openSUSE 11.4 spec file workarounds
* Fri May 18 2012 toddrme2178@gmail.com
- Revised openSUSE 11.4 fix
- Cleaned up spec file formatting
* Mon Apr 30 2012 toddrme2178@gmail.com
- Added basic buildrequires needed by most python 3 packages
- Fix building python 3 package on openSUSE 11.4 x86_64
* Thu Feb  2 2012 saschpe@suse.de
- Fix build for openSUSE_11.4
* Wed Nov 30 2011 toddrme2178@gmail.com
- Initial version
